|  | Home | Documentation | wst__ParticipantType Struct Reference updated by Robert van Engelen |

wst__ParticipantType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ParticipantType is a complexType. More...

`#include <wst.h>`

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ParticipantType is a complexType.

struct wst__ParticipantType operations:

- wst__ParticipantType* soap_new_wst__ParticipantType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__ParticipantType(struct soap*, wst__ParticipantType*) default initialize members
- int soap_read_wst__ParticipantType(struct soap*, wst__ParticipantType*) deserialize from a source
- int soap_write_wst__ParticipantType(struct soap*, wst__ParticipantType*) serialize to a sink
- wst__ParticipantType* soap_dup_wst__ParticipantType(struct soap*, wst__ParticipantType* dst, wst__ParticipantType <em>src) returns deep copy of wst__ParticipantType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__ParticipantType(wst__ParticipantType

) deep deletes wst__ParticipantType data members, use only on dst after soap_dup_wst__ParticipantType(NULL, wst__ParticipantType *dst, wst__ParticipantType *src) (use soapcpp2 -Ed)

The documentation for this struct was generated from the following file:

- wst.h